LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Friends | List of all members
lldb::SBBreakpointLocation Class Reference

`#include <SBBreakpointLocation.h>`

## Public Member Functions

| SBBreakpointLocation ()
| SBBreakpointLocation (const lldb::SBBreakpointLocation &rhs)
| ~SBBreakpointLocation ()
const lldb::SBBreakpointLocation & | operator= (const lldb::SBBreakpointLocation &rhs)
break_id_t | GetID ()
bool | IsValid () const
lldb::SBAddress | GetAddress ()
lldb::addr_t | GetLoadAddress ()
void | SetEnabled (bool enabled)
bool | IsEnabled ()
uint32_t | GetIgnoreCount ()
void | SetIgnoreCount (uint32_t n)
void | SetCondition (const char *condition)
const char * | GetCondition ()
void | SetThreadID (lldb::tid_t sb_thread_id)
lldb::tid_t | GetThreadID ()
void | SetThreadIndex (uint32_t index)
uint32_t | GetThreadIndex () const
void | SetThreadName (const char *thread_name)
const char * | GetThreadName () const
void | SetQueueName (const char *queue_name)
const char * | GetQueueName () const
bool | IsResolved ()
bool | GetDescription (lldb::SBStream &description, DescriptionLevel level)
SBBreakpoint | GetBreakpoint ()
| SBBreakpointLocation (const lldb::BreakpointLocationSP &break_loc_sp)

## Friends

class | SBBreakpoint
class | lldb_private::ScriptInterpreterPython

## Detailed Description

Definition at line 18 of file SBBreakpointLocation.h.

## Constructor & Destructor Documentation

lldb::SBBreakpointLocation::SBBreakpointLocation | ( |  | ) |

lldb::SBBreakpointLocation::SBBreakpointLocation | ( | const lldb::SBBreakpointLocation & | rhs | ) |

lldb::SBBreakpointLocation::~SBBreakpointLocation | ( |  | ) |

lldb::SBBreakpointLocation::SBBreakpointLocation | ( | const lldb::BreakpointLocationSP & | break_loc_sp | ) |

## Member Function Documentation

lldb::SBAddress lldb::SBBreakpointLocation::GetAddress | ( |  | ) |

SBBreakpoint lldb::SBBreakpointLocation::GetBreakpoint | ( |  | ) |

const char* lldb::SBBreakpointLocation::GetCondition | ( |  | ) |

bool lldb::SBBreakpointLocation::GetDescription | ( | lldb::SBStream & | description,
|  | DescriptionLevel | level
| ) |  |

break_id_t lldb::SBBreakpointLocation::GetID | ( |  | ) |

uint32_t lldb::SBBreakpointLocation::GetIgnoreCount | ( |  | ) |

lldb::addr_t lldb::SBBreakpointLocation::GetLoadAddress | ( |  | ) |

const char* lldb::SBBreakpointLocation::GetQueueName | ( |  | ) | const

lldb::tid_t lldb::SBBreakpointLocation::GetThreadID | ( |  | ) |

uint32_t lldb::SBBreakpointLocation::GetThreadIndex | ( |  | ) | const

const char* lldb::SBBreakpointLocation::GetThreadName | ( |  | ) | const

bool lldb::SBBreakpointLocation::IsEnabled | ( |  | ) |

bool lldb::SBBreakpointLocation::IsResolved | ( |  | ) |

bool lldb::SBBreakpointLocation::IsValid | ( |  | ) | const

const lldb::SBBreakpointLocation& lldb::SBBreakpointLocation::operator= | ( | const lldb::SBBreakpointLocation & | rhs | ) |

void lldb::SBBreakpointLocation::SetCondition | ( | const char * | condition | ) |

void lldb::SBBreakpointLocation::SetEnabled | ( | bool | enabled | ) |

void lldb::SBBreakpointLocation::SetIgnoreCount | ( | uint32_t | n | ) |

void lldb::SBBreakpointLocation::SetQueueName | ( | const char * | queue_name | ) |

void lldb::SBBreakpointLocation::SetThreadID | ( | lldb::tid_t | sb_thread_id | ) |

void lldb::SBBreakpointLocation::SetThreadIndex | ( | uint32_t | index | ) |

void lldb::SBBreakpointLocation::SetThreadName | ( | const char * | thread_name | ) |

## Friends And Related Function Documentation

friend class lldb_private::ScriptInterpreterPython

friend

Definition at line 99 of file SBBreakpointLocation.h.

friend class SBBreakpoint

friend

Definition at line 97 of file SBBreakpointLocation.h.

The documentation for this class was generated from the following file:

- SBBreakpointLocation.h